Subject: Re: bug#9044: 24.0.50; File mode specification error: (error "Malformed -*- line")

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Sat, 17 Sep 2011 07:06:08 +0200

Juri Linkov <[email-masked]> writes:

>> How about just adding the common ones -- jpeg?, tiff?, png, gif.  That
>> will take care of 99% of the problems.
>
> There are many other binary formats that may contain "-*-" in the first line.
>
> For example, it's impossible to visit TGA files in Emacs because they contain
> a lot of "-*-".  TARGA is an old raster graphics file format still used
> in modern programs for saving screenshots.  You can see one example below:

Sure.  Just go through the list and add the likely formats.  But using
the list as-is just won't fly, since it even contains "TXT" and "HTML".

> BTW, Gnus doesn't display images supported by ImageMagick inline.
> Could you please fix this in Gnus ;-)

I've now added support for ImageMagick pictures, but I can't get Emacs
to display that image inline.  `create-image' says that it creates the
image just fine, but when I `insert-image' it, I just get the dreaded
blank square box.  What does that mean?

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/